<?php
namespace Internetgalerie\IgCrmTemplate\Domain\Model;

use Internetgalerie\IgCrmTemplate\Domain\Model\LanguageInterface;
use Internetgalerie\IgCrmTemplate\Domain\Model\TenantInterface;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Persistence\QueryResultInterface;

/**
 * Translate
 */
class Translate extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * Tenant ID
     *
     * @var int
     */
    public ?int $tenantId = null;
    
    /**
     * Kommunikationssprache
     *
     * @var int
     */
    public ?int $crmLanguage = null;

    /**
     * textKey
     *
     * @var string
     */
    protected $textKey = '';

    /**
     * textValue
     *
     * @var string
     */
    protected $textValue = '';

    
    /**
     * Returns the Tenant
     */
    public function getTenantId(): int
    {
        return $this->tenantId;
    }

    /**
     * Sets the Tenant
     */
    public function setTenantId(int $tenantId): void
    {
        $this->tenantId = $tenantId;
    }

    /**
     * Returns the crmLanguage
     */
    public function getCrmLanguage(): ?int
    {
        return $this->crmLanguage;
    }

    /**
     * Sets the crmLanguage
     */
    public function setCrmLanguage(?int $crmLanguage = null): void
    {
        $this->crmLanguage = $crmLanguage;
    }
    
    /**
     * Returns the textKey
     *
     * @return string $textKey
     */
    public function getTextKey()
    {
        return $this->textKey;
    }

    /**
     * Sets the textKey
     *
     * @param string $textKey
     * @return void
     */
    public function setTextKey($textKey)
    {
        $this->textKey = $textKey;
    }

    
    /**
     * Returns the textValue
     *
     * @return string $textValue
     */
    public function getTextValue()
    {
        return $this->textValue;
    }

    /**
     * Sets the textValue
     *
     * @param string $textValue
     * @return void
     */
    public function setTextValue($textValue)
    {
        $this->textValue = $textValue;
    }

    
}